<template>
  <div :class="{ mini: isMini }" class="starrank">
    <span class="icon icon-star" :class="{ active: avgstar > 0.5 }"></span>
    <span class="icon icon-star" :class="{ active: avgstar > 1.5 }"></span>
    <span class="icon icon-star" :class="{ active: avgstar > 2.5 }"></span>
    <span class="icon icon-star" :class="{ active: avgstar > 3.5 }"></span>
    <span class="icon icon-star" :class="{ active: avgstar > 4.5 }"></span>
    <span v-if="countnote > 0" class="countnote">({{ countnote }})</span>
  </div>
</template>

<script>
export default {
  name: 'Starrank',
  props: {
    avgstar: {
      type: String,
      required: true
    },
    countnote: {
      type: String,
      required: true
    },
    isMini: {
      type: Boolean,
      required: false,
      default: false
    }
  }
}
</script>

<style scoped lang="scss">
.starrank {
  display: inline;
}

.mini {
  display: flex;
  padding-top: 2px;
}

.icon-star {
  color: #e1e1e1;
  &.active {
    color: #ffb81e;
  }
}

.mini {
  .icon-star {
    font-size: 0.9rem;
    margin-right: 2px;
  }
}

.countnote {
  text-decoration: none;
  font-family: Arial;
  font-size: 12px;
  color: #808080;
}
</style>
